Bug 866062 - new libkdcraw requires libjpeg8
new libkdcraw requires libjpeg8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libkdcraw (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 11:20 EDT by nucleo
Modified: 2013-12-21 06:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 06:25:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nucleo 2012-10-13 11:20:20 EDT
Description of problem:
New libkdcraw 2.2.0 from digikam-3.0.0-beta2 sources requires libjpeg8

Version-Release number of selected component (if applicable):
libkdcraw-4.9.50-2.fc19
libjpeg-turbo-1.2.1-2.fc18
  
Actual results:
-- Found JPEG: /usr/lib/libjpeg.so  
-- Identified libjpeg version less than 80 (too low)

-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * libjpeg (80 or higher)  <http://www.ijg.org>
     JPEG image format support
     needed for the LibRaw DNG lossy codec
Comment 1 Kevin Kofler 2012-10-13 12:02:21 EDT
Looking at:
https://projects.kde.org/projects/kde/kdegraphics/libs/libkdcraw/repository/revisions/d9526bede173a9de72cb0fc979d399f9104eb5d8
I don't see anything there ACTUALLY requiring a newer libjpeg at this time, it seems to be an arbitrary version check. We should try just removing it (revert the CMakeLists.txt hunks of the commit) and seeing what breaks.
Comment 2 Kevin Kofler 2012-10-13 12:03:17 EDT
(and the libraw_datastream.cpp one, where they added only a check for USE_JPEG8, but otherwise don't seem to be actually using any of the added APIs)
Comment 3 nucleo 2012-10-24 12:21:25 EDT
So libkdcraw can be built with libjpeg8 now.
Waiting for qt and kdelibs rebuild at first.
Comment 4 nucleo 2012-10-24 19:42:04 EDT
libkdcraw-4.9.50-3.fc19 and digikam-3.0.0-0.5.beta2.fc19 built against libjpeg8 in Rawhide but problem still in < F19.
Comment 5 Kevin Kofler 2012-10-24 19:51:54 EDT
I'll see what I can do about this.
Comment 6 Fedora End Of Life 2013-12-21 04:07:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Rex Dieter 2013-12-21 06:25:52 EST
We (the royal we) took care of this, to make things work without requiring libjpeg8 after all, thanks largely to Kevin's efforts here.

Note You need to log in before you can comment on or make changes to this bug.